org.apache.hadoop.mapred

## Class SequenceFileInputFilter.FilterBase

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFilter.FilterBase
  - - org.apache.hadoop.mapred.SequenceFileInputFilter.FilterBase

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, SequenceFileInputFilter.Filter
  Direct Known Subclasses:
    SequenceFileInputFilter.MD5Filter, SequenceFileInputFilter.PercentFilter, SequenceFileInputFilter.RegexFilter
  Enclosing class:
    SequenceFileInputFilter<K,V>

      public abstract static class SequenceFileInputFilter.FilterBase
      extends SequenceFileInputFilter.FilterBase
      implements SequenceFileInputFilter.Filter

  base class for Filters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBase()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFilter.FilterBase

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFilter.Filter

      `accept`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### FilterBase

          public FilterBase()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.